package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * banner位置
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum BannerLocationEnum implements IEnum<String> {

  PUT_ON("top", "顶部轮播"),;

  private final String value;
  private final String desc;

  public static BannerLocationEnum getStatusEnum(String value) {
    for (BannerLocationEnum statusEnum : BannerLocationEnum.values()) {
      if (statusEnum.getValue().equals(value)) {
        return statusEnum;
      }
    }
    return null;
  }

  BannerLocationEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
